---
publish-docs:
  stage: pop-release
  variables:
    CICD_S3_UPLOAD_DOCS: "true"
    CICD_S3_SOURCE_PATH: "public/"
    # Projects using this template must set variable:
    # CICD_S3_DEST_PATH
    # - Example:
    # CICD_S3_DEST_PATH = "docs.idemproject.io/idem-aws/"
    CICD_S3_DEST_PATH: "" # Will fail if not set by repo publishing
    CICD_SOURCE_PROJECT_NAME: $CI_PROJECT_NAME
    CICD_SOURCE_COMMIT: $CI_COMMIT_SHORT_SHA
    CICD_SOURCE_GITLAB_PROJECT_PATH: $CI_PROJECT_PATH
    CICD_SOURCE_COMMIT_REF_NAME: $CI_COMMIT_REF_NAME
    CICD_SOURCE_GITLAB_PIPELINE_URL: $CI_PIPELINE_URL
    CICD_SOURCE_GITLAB_PIPELINE_ID: $CI_PIPELINE_ID
    CICD_SOURCE_GITLAB_JOB_NAME: pages
  rules:
    - if: '$CI_COMMIT_REF_NAME =~ /.*-rel$/'
      when: never
    - if: '$CI_COMMIT_REF_PROTECTED == "true" && $CI_COMMIT_TAG != null && $CI_PROJECT_PATH == $CICD_UPSTREAM_PATH'
      when: on_success
    - when: never
  trigger:
    project: vmware/idem/cicd/artifact-upload
    strategy: depend
